Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616161 - No graphical display on a Linutop 2
No graphical display on a Linutop 2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-geode (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 14:54 EDT by Mathieu Bridon
Modified: 2018-04-11 06:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-24 21:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf file (1.02 KB, text/plain)
2010-07-23 16:05 EDT, Mathieu Bridon
no flags Details
/var/log/Xorg.0.log (42.39 KB, text/plain)
2010-07-23 16:06 EDT, Mathieu Bridon
no flags Details
/var/log/messages (47.25 KB, text/plain)
2010-07-23 16:06 EDT, Mathieu Bridon
no flags Details
result of the dmesg command (24.38 KB, text/plain)
2010-07-23 16:07 EDT, Mathieu Bridon
no flags Details
new /var/log/Xorg.0.log, obtained after removing the xorg.conf then running init 5 (83.40 KB, text/plain)
2010-07-23 16:21 EDT, Mathieu Bridon
no flags Details
/var/log/Xorg.0.log on Ubuntu 10.04 (37.71 KB, text/plain)
2010-07-24 12:29 EDT, Mathieu Bridon
no flags Details
/var/log/messages on Ubuntu 10.04 (33.39 KB, text/plain)
2010-07-24 12:30 EDT, Mathieu Bridon
no flags Details
result of the dmesg command on Ubuntu 10.04 (26.99 KB, text/plain)
2010-07-24 12:31 EDT, Mathieu Bridon
no flags Details
Boot up screen using Live CD (65.37 KB, image/jpeg)
2010-08-27 05:16 EDT, frank huang
no flags Details
xorg.conf (328 bytes, text/plain)
2010-08-29 06:58 EDT, billiboy
no flags Details
Live CD Xorg log (36.92 KB, text/plain)
2010-08-31 05:19 EDT, frank huang
no flags Details

  None (edit)
Description Mathieu Bridon 2010-07-19 14:54:27 EDT
Description of problem:

I tried booting a Fedora 13 (+updates) desktop live CD on my Linutop 2.

This computer has a Geode LX CPU (just like the XO-1.0 iirc), so it can now boot with the recent glibc update that added support to this CPU back.

However, I can't have any graphical display, while text TTYs work fine. When I go to the graphical TTY (where GDM should be running), the monitor goes idle, just like it doesn't receive any signal.

I tried building latest upstream 2.11.8 version [1] and rebuild the live CD with it, but got the same result.

By running « init 3 » then manually « startx », the only error I get is this (with one more line of context above and below):
[... snip ...]
(==) Using system config directory "/usr/share/X11/xog.conf/d"
AmdPciProbe: Probing for supported devices!
error setting MTRR (base = 0xe8000000, size = 0x02000000, type = 1) Inappropriate ioctl for device (25)
GNOME_KEYRING-CONTROL=/rmp/keyring-DapZMa
[... snip ...]

Not sure if it's even related... :-/

Any other debugging info I could provide?


[1] Package here in case someone is interested: http://bochecha.fedorapeople.org/geode/
Comment 1 Mathieu Bridon 2010-07-19 16:01:18 EDT
For the record, a vanilla Ubuntu 10.04 live USB boots fine on the Linutop 2, and a vanilla Fedora 12 live USB would give me the same result as Fedora 13.

If someone tells me what to look for, I can do some testing with any of those 3 distros, to see what could be causing the issue and eventually have it fixed.
Comment 2 Mathieu Bridon 2010-07-19 16:06:00 EDT
(In reply to comment #1)
> For the record, a vanilla Ubuntu 10.04 live USB boots fine on the Linutop 2

I meant that I can access the Gnome session, not just boot it. ;)
Comment 3 Matěj Cepl 2010-07-23 10:03:50 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Mathieu Bridon 2010-07-23 16:05:39 EDT
Created attachment 434049 [details]
/etc/X11/xorg.conf file
Comment 5 Mathieu Bridon 2010-07-23 16:06:22 EDT
Created attachment 434050 [details]
/var/log/Xorg.0.log
Comment 6 Mathieu Bridon 2010-07-23 16:06:50 EDT
Created attachment 434051 [details]
/var/log/messages
Comment 7 Mathieu Bridon 2010-07-23 16:07:18 EDT
Created attachment 434052 [details]
result of the dmesg command
Comment 8 Mathieu Bridon 2010-07-23 16:18:37 EDT
Here are the requested files.

Note that I tried removing the xorg.conf file and then running init 3 then init 5.

This time, I got a GDM login screen (though ugly, with some graphical corruption). I could login, but never got a Gnome session, only a black screen. Although the screen remains black, this time the monitor doesn't say it's not receiving any input.

I'll post the new Xorg.0.log right after this comment.

What surprises me is that the xorg.conf file doesn't belong to any installed rpm, so it was just created by something when booting the liveUSB.
Comment 9 Mathieu Bridon 2010-07-23 16:21:43 EDT
Created attachment 434060 [details]
new /var/log/Xorg.0.log, obtained after removing the xorg.conf then running init 5
Comment 10 Matěj Cepl 2010-07-24 10:10:09 EDT
(In reply to comment #1)
> For the record, a vanilla Ubuntu 10.04 live USB boots fine on the Linutop 2,
> and a vanilla Fedora 12 live USB would give me the same result as Fedora 13.
> 
> If someone tells me what to look for, I can do some testing with any of those 3
> distros, to see what could be causing the issue and eventually have it fixed.    

Well, I guess files I requested in the comment 3 collected on Ubuntu could be interesting as well, but otherwise I don't see any problem in the logs.

Passing to developers for further investigation.
Comment 11 Mathieu Bridon 2010-07-24 12:29:48 EDT
Created attachment 434165 [details]
/var/log/Xorg.0.log on Ubuntu 10.04
Comment 12 Mathieu Bridon 2010-07-24 12:30:37 EDT
Created attachment 434166 [details]
/var/log/messages on Ubuntu 10.04
Comment 13 Mathieu Bridon 2010-07-24 12:31:24 EDT
Created attachment 434167 [details]
result of the dmesg command on Ubuntu 10.04
Comment 14 Mathieu Bridon 2010-07-24 12:32:46 EDT
(In reply to comment #10)
> Well, I guess files I requested in the comment 3 collected on Ubuntu could be
> interesting as well

Here they are. Note that there is no xorg.conf file when booting the Ubuntu 10.04 liveUSB on the Linutop2.
Comment 15 frank huang 2010-08-23 23:31:31 EDT
Mathieu,

   I use Fedora12 with KDE and GNOME. Everything is fine with new release 2.11.9. Can you give a try?

Thanks,
Frank
Comment 16 Mathieu Bridon 2010-08-24 15:33:30 EDT
(In reply to comment #15)
> Mathieu,
> 
>    I use Fedora12 with KDE and GNOME. Everything is fine with new release
> 2.11.9. Can you give a try?

I just tried it. FTR, I packaged 2.11.9 myself for Fedora [1] so I could give it a go on live USB, as the last release available in Fedora is 2.11.4.

I get the exact same result as before:
1. boot a live USB of Fedora 13 + updates + latest Geode driver
2. watch the Plymouth graphical boot
3. get a black screen instead of GDM

Text TTYs work fine, so as before, I tried the following:
1. init 3
2. remove the /etc/X11/xorg.conf file (no idea why there is one on the live USB)
3. init 5
4. watch GDM appear after a long time

Now I have GDM, but unfortunately there are some awful graphical glitches [2]. If I open the Gnome session, then I get the same kind of awful graphical glitches. [3]

Note that if I take a screenshot, those glitches also appear on the screenshot picture.

So really, I think there are 2 (probably unrelated) issues:
1. the default created xorg.conf on a Fedora 13 live USB (see earlier attachment above) is incorrect for the Linutop2
2. the driver produces an unusable display

If there's anything else I can try, any information I can provide, just ask.


[1] http://bochecha.fedorapeople.org/geode/i386/
[2] http://bochecha.fedorapeople.org/geode/screenshots/IMG_8524.JPG
[3] http://bochecha.fedorapeople.org/geode/screenshots/IMG_8525.JPG
Comment 17 frank huang 2010-08-24 23:07:32 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > Mathieu,
> > 
> >    I use Fedora12 with KDE and GNOME. Everything is fine with new release
> > 2.11.9. Can you give a try?
> 
> I just tried it. FTR, I packaged 2.11.9 myself for Fedora [1] so I could give
> it a go on live USB, as the last release available in Fedora is 2.11.4.
Live USB as http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo show? I have not used that before.
> 
> I get the exact same result as before:
> 1. boot a live USB of Fedora 13 + updates + latest Geode driver
> 2. watch the Plymouth graphical boot
> 3. get a black screen instead of GDM
Plymouth graphical boot? Can you make it more clear? I am not familiar with Live USB boot process.
> 
> Text TTYs work fine, so as before, I tried the following:
> 1. init 3
> 2. remove the /etc/X11/xorg.conf file (no idea why there is one on the live
> USB)
> 3. init 5
> 4. watch GDM appear after a long time
If I use a whole install of Fedora, how to reproduce your process?
> 
> Now I have GDM, but unfortunately there are some awful graphical glitches [2].
> If I open the Gnome session, then I get the same kind of awful graphical
> glitches. [3]
See your shot on tha attached files. This maybe some misrendering error. I use Fedora 12 now. Now that you have Fedora 13, I can download on and give a try.
> 
> Note that if I take a screenshot, those glitches also appear on the screenshot
> picture.
> 
> So really, I think there are 2 (probably unrelated) issues:
> 1. the default created xorg.conf on a Fedora 13 live USB (see earlier
> attachment above) is incorrect for the Linutop2
> 2. the driver produces an unusable display
Can you try a complete install on Disk using Fedora 13(Fedora-13-i368-DVD.iso)? And see the result?
> 
> If there's anything else I can try, any information I can provide, just ask.
> 
> 
> [1] http://bochecha.fedorapeople.org/geode/i386/
> [2] http://bochecha.fedorapeople.org/geode/screenshots/IMG_8524.JPG
> [3] http://bochecha.fedorapeople.org/geode/screenshots/IMG_8525.JPG
Comment 18 Mathieu Bridon 2010-08-25 02:34:11 EDT
(In reply to comment #17)
> (In reply to comment #16)
> > I just tried it. FTR, I packaged 2.11.9 myself for Fedora [1] so I could give
> > it a go on live USB, as the last release available in Fedora is 2.11.4.
> Live USB as http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo show? I have
> not used that before.

I created a live CD iso as explained on the following:
http://fedoraproject.org/wiki/FedoraLiveCD/LiveCDHowTo

I took the fedora-live-desktop kickstart, and added to it my repository containing the Geode driver update (this kickstart already adds the updates repo so you compose an up-to-date iso rather than what was at GA).

After that, I put the iso on the USB stick as explained here:
http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo#Run_livecd-iso-to-disk_script

> > I get the exact same result as before:
> > 1. boot a live USB of Fedora 13 + updates + latest Geode driver
> > 2. watch the Plymouth graphical boot
> > 3. get a black screen instead of GDM
> Plymouth graphical boot? Can you make it more clear? I am not familiar with
> Live USB boot process.

That's the same graphical animation as for any normal boot, the Fedora bubble filling on a blue background.
 
> > Text TTYs work fine, so as before, I tried the following:
> > 1. init 3
> > 2. remove the /etc/X11/xorg.conf file (no idea why there is one on the live
> > USB)
> > 3. init 5
> > 4. watch GDM appear after a long time
> If I use a whole install of Fedora, how to reproduce your process?

See below for caveats with the official DVD.

I guess you could just boot your installation media, install it, then reboot and :
- if you have a xorg.conf file, compare it to the one I attached
- do you have working X/Gnome session?
- do you have the same glitches?
- does removing the xorg.conf file make things better, like it does for me?

> > Note that if I take a screenshot, those glitches also appear on the screenshot
> > picture.
> > 
> > So really, I think there are 2 (probably unrelated) issues:
> > 1. the default created xorg.conf on a Fedora 13 live USB (see earlier
> > attachment above) is incorrect for the Linutop2
> > 2. the driver produces an unusable display
> Can you try a complete install on Disk using Fedora 13(Fedora-13-i368-DVD.iso)?
> And see the result?

I can't use the GA iso, as Fedora 13 had a regression that made it not boot on Geode LX:
https://fedorahosted.org/fesco/ticket/387

That's why I'm composing my own iso with packages from the updates repository.

The Linutop2 doesn't have a CD/DVD drive, so I use a liveUSB. I'll see if I can make a netinstall.

Would that help if I could upload the live CD iso somewhere so you could try it? The kickstart file?
Comment 19 frank huang 2010-08-25 02:57:02 EDT
Sure, I can try that. But I am not sure if the Fedora 13 does not support Geode LX. Is it to say even if I download the iso file from the internet, it will fail to install on Geode LX. Have you tried it? If I can not make an environment on Fedora13, how to debug the driver?
Comment 20 Mathieu Bridon 2010-08-25 03:59:00 EDT
(In reply to comment #19)
> Sure, I can try that. But I am not sure if the Fedora 13 does not support Geode
> LX. Is it to say even if I download the iso file from the internet, it will
> fail to install on Geode LX.

Exactly. Fedora 13 when it was released did not even *boot* on the Geode LX, as support for it got silently dropped by the glibc Fedora package maintainers (see the Fesco ticket I linked above for more details).

After some debate, it was decided that the XO-1.0 (that contains a Geode LX chip) was an important architecture for Fedora to support, and thus support for booting it was added again as an update.

> If I can not make an
> environment on Fedora13, how to debug the driver?

You can, but you have to use an iso that already includes updated packages, at least the one that fixed booting on Geode:
https://admin.fedoraproject.org/updates/glibc-2.12-3

That's the whole point of me creating my own isos as explained in this bug report: being able to actually boot the Linutop2. :)

Then I just tried adding newer releases of the Geode Xorg driver on top of that, to see if it improved things.
Comment 21 frank huang 2010-08-25 04:37:23 EDT
Now I Get the idea you build iso file by yourself. I have heard from Martin-Eric(Geode Ubuntu & Debian maintainer) that Glibc unsupported thing in Geode LX. Now that proves again about that thing. That is to say, current Fedora 13 still can not install on Geode board before update.
So you use this workaround glib to compose the ISO file, doesn't it?
I am a guy who maintains geode linux driver in AMD. So supporting FC13 is necessary for us. That is the coming work for me. So building such an debug environment is important for me.
Including the glitch in the desktop, I think it is still the rendering issue unsolved. So I need your help too.
If you feel free, you can join IRC channel #geode. We all are here.
My mail is: frankr.huang@amd.com.
Comment 22 Mathieu Bridon 2010-08-25 14:27:36 EDT
Frank, in case that can help, the kickstart file I use to create the iso is on my Fedora People space:
http://bochecha.fedorapeople.org/geode/

The README file contains the 3 commands needed to build the live USB, so that you don't need to spend tons of time reading the docs about that ;)
Comment 23 Kevin Fenzi 2010-08-25 17:34:23 EDT
The fedora live media currently does use a xorg.conf if the cpu is Geode. ;( 

See bug 460581

Hopefully we can remove this for f14. 

What it does works for XO's but I suspect it's settings are ALL WRONG for your laptop. ;( 

# this is a bad hack to work around #460581 for the geode
# purely to help move testing along for now
if [ \`grep -c Geode /proc/cpuinfo\` -ne 0 ]; then
  cat > /etc/X11/xorg.conf <<FOE
Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
# keyboard added by rhpxl
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "Monitor"
        Identifier  "Monitor0"
        HorizSync   30-67
        VertRefresh 48-52
        DisplaySize 152 114
        Mode "1200x900"
                DotClock 57.275
                HTimings 1200 1208 1216 1240
                VTimings 900 905 908 912
                Flags    "-HSync" "-VSync"
        EndMode
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "amd"
        VendorName  "Advanced Micro Devices, Inc."
        BoardName   "AMD Geode GX/LX"

        Option     "AccelMethod" "EXA"
        Option     "NoCompression" "true"
        Option     "MigrationHeuristic" "greedy"
        Option     "PanelGeometry" "1200x900"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth 16
        SubSection "Display"
                Depth   16
                Modes   "1200x900"
        EndSubSection
EndSection
FOE
Comment 24 Mathieu Bridon 2010-08-25 18:12:31 EDT
So, Kevin actually removed the xorg.conf generating code from the F14 kickstart, which means that with an F14 image the « black screen because of xorg.conf » issue is now fixed. Yay!

Frank, if you need anything from my part to fix the misrendering issue, just ask, I'll be glad to test some stuff out.
Comment 25 frank huang 2010-08-25 22:16:47 EDT
(In reply to comment #24)
> So, Kevin actually removed the xorg.conf generating code from the F14
> kickstart, which means that with an F14 image the « black screen because of
> xorg.conf » issue is now fixed. Yay!
Which line in xorg.conf work for you?
> 
> Frank, if you need anything from my part to fix the misrendering issue, just
> ask, I'll be glad to test some stuff out.
Yeah. I am trying to make an environment just like yours. Any questions, I'll post here for your help.
Comment 26 Mathieu Bridon 2010-08-26 03:46:00 EDT
(In reply to comment #25)
> (In reply to comment #24)
> > So, Kevin actually removed the xorg.conf generating code from the F14
> > kickstart, which means that with an F14 image the « black screen because of
> > xorg.conf » issue is now fixed. Yay!
> Which line in xorg.conf work for you?

Remove it all. X will autodetect what is needed.
Comment 27 frank huang 2010-08-26 04:51:46 EDT
How about FC13 test? You said FC14 use auto-detect instead of a xorg.conf.

By the way, I have read the "How to create and use a Live CD". Some questions to ask for your quick start:
>First, install the necessary tools:
># yum install livecd-tools fedora-kickstarts
fedora-kickstarts? Can I use spin-kickstarts as the document above suggest?

>Create the live image as root:
># livecd-creator -c /path/to/kickstart-file.ks
How about your kickstart-file.ks looks like? Is it similar as "/usr/share/spin-kicksarts/fedora-livecd-desktop.ks" on my platform after I install spin-kickstarts?
And at place place I should change the glibc for geode? 

>Finally, put the image on a USB stick:
># livecd-iso-to-disk --format --reset-mbr /path/to/iso-file.iso /dev/sdb
I have an IDE port that can use CD/DVD? Is it necessary to create a USB stick as you if I want to debug on FC13? If that is necessary, how about your USB stick size amount? 2G is enough?

Sorry for my detail question. I just want to reproduce your result as soon as possible.
Comment 28 Mathieu Bridon 2010-08-26 05:36:35 EDT
(In reply to comment #27)
> How about FC13 test? You said FC14 use auto-detect instead of a xorg.conf.

No, I said that Kevin removed the creation of a default xorg.conf for Geode in F14, so that X will autodetect everything fine in F14.

In F13, X is perfectly capable of autodetecting everything, but it doesn't even bother trying, because there already is a xorg.conf file.

So either you will have to take the kickstart files from F14 and create your iso with that, or create your iso with the F13 kickstart, boot it, init 3 -> remove xorg.conf -> init 5 (as I did previously).

> By the way, I have read the "How to create and use a Live CD". Some questions
> to ask for your quick start:
> >First, install the necessary tools:
> ># yum install livecd-tools fedora-kickstarts
> fedora-kickstarts? Can I use spin-kickstarts as the document above suggest?

That might be a typo on my part, sorry.

I can't check on right now (I'm on Windows, without access to my Fedora box), but PackageDB seems to say that you're right:
https://admin.fedoraproject.org/pkgdb/acls/list/?searchwords=*-kickstart*

> >Create the live image as root:
> ># livecd-creator -c /path/to/kickstart-file.ks
> How about your kickstart-file.ks looks like? Is it similar as
> "/usr/share/spin-kicksarts/fedora-livecd-desktop.ks" on my platform after I
> install spin-kickstarts?

My kickstart file simply includes the default desktop one and makes some small changes:
- use hard-coded i386 architecture instead of a variable based on the architecture of the host composing the iso (my laptop is x86_64, so with default kickstarts it will create a x86_64 image, and I want a i386 image for the Geode)
- enable my personal repo for updated builds of the Geode driver
- remove lots of packages from the default desktop spin (I need a much lighter image for my Linutop)

> And at place place I should change the glibc for geode? 

You don't need to.

With both the default Fedora kickstart or the one I supplied, the updates repository is enabled. This way, when composing the image, the latest version of each package will be taken, and that means an updated glibc that supports Geode :)

> >Finally, put the image on a USB stick:
> ># livecd-iso-to-disk --format --reset-mbr /path/to/iso-file.iso /dev/sdb
> I have an IDE port that can use CD/DVD? Is it necessary to create a USB stick
> as you if I want to debug on FC13? If that is necessary, how about your USB
> stick size amount? 2G is enough?

I only use a USB stick because I don't have a CD/DVD drive on the Linutop. If you have one, then you can skip this step entirely. (note that live USBs have some practical benefits that live CDs don't, mainlythe persitence overlay, but if you just want to boot, test and install, then live CD should be fine)

If you want the live USB, then you need one that is bigger than the composed image, which should be less than 1GB (and fit on a CD anyway).

> Sorry for my detail question. I just want to reproduce your result as soon as
> possible.

No problem, I want it fixed as soon as possible, so I'm always willing to help. :)

BTW I tried to be on IRC yesterday, but apparently we are in different timezones (China for you, France for me), so I guess we'll have to stick to Bugzilla.
Comment 29 frank huang 2010-08-26 06:02:48 EDT
Ok. From your explanation, I know that you don't need xorg.conf under FC14 and FC13 when booting normally. So after I succesfully create my Live CD, I can give a try with the order:init 3 -> remove xorg.conf -> init 5. That is also the process I debug under geode platform:). FC14 has supported geode install, is it right?
Ok. I'll follow the link you provide me to create the ISO file tomorrow. I think your configuration file is suitable for me. Is it this one: http://bochecha.fedorapeople.org/geode/fedora-live-geode.ks?
Sure, Because I want to build an debug env, so a USB stick is necessary for me to s tore file. I will create that one instead a CD/DVD finally. But I can use CD/DVD to see if the live CD is created successfuly first.
Yes. My work time maybe your sleep time:p. And I can chat you on IRC around 1-2 hour before I leave office. Mostly stick here.
Comment 30 Mathieu Bridon 2010-08-26 08:09:09 EDT
(In reply to comment #29)
> FC14 has supported geode install, is it right?

Didn't actually try it, but I think so.

> Ok. I'll follow the link you provide me to create the ISO file tomorrow. I
> think your configuration file is suitable for me. Is it this one:
> http://bochecha.fedorapeople.org/geode/fedora-live-geode.ks?

Yes, that's the one I use. It will pull the latest release of the Geode driver that I rebuilt, based on the current Fedora package.

> Sure, Because I want to build an debug env, so a USB stick is necessary for me
> to s tore file.

Then make sure to use a persistent layer when you create the live USB. This way, when you remove thexorg.conf file, the removal should "survive" rebooting, and you won't have to init 3, rm, init 5 again.
Comment 31 frank huang 2010-08-27 02:36:55 EDT
I have create on ISO file and burn it into a CD rom. Currently I am downgrade the Xserver to 1.6 to reproduce one rotation issue. After that, I'll give a try using this CD.
Comment 32 frank huang 2010-08-27 05:15:51 EDT
I boot from CD. You can see my attached file.
And I choose "Boot" option. Then after long time wait, I get a screen that show:"i8042.c can't read CTR while initializing i8042" and stopped. Have you met this? I google it and found it seems related to USB stuff. Not sure, need your confirmation.
Comment 33 frank huang 2010-08-27 05:16:52 EDT
Created attachment 441442 [details]
Boot up screen using Live CD

Boot up screen using Live CD
Comment 34 frank huang 2010-08-27 05:34:31 EDT
Furthermore, just these two commands making this CD? How do I know it is Fedora 13 or Fedora 14 Live CD?
Comment 35 Mathieu Bridon 2010-08-27 06:11:36 EDT
(In reply to comment #32)
> I boot from CD. You can see my attached file.
> And I choose "Boot" option. Then after long time wait, I get a screen that
> show:"i8042.c can't read CTR while initializing i8042" and stopped. Have you
> met this? I google it and found it seems related to USB stuff. Not sure, need
> your confirmation.

I have an error message similar to this one when I boot the live USB, but it disappears quickly and boot goes on.

I'll check tonight if that's the same message.

(In reply to comment #34)
> Furthermore, just these two commands making this CD? How do I know it is Fedora
> 13 or Fedora 14 Live CD?

The Fedora release is specified in the repo declaration in the kickstart files, for example:
repo --name=released --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=i386

So if you use the same kickstart as I do, then you created a Fedora 13 image.
Comment 36 billiboy 2010-08-29 06:58:19 EDT
Created attachment 441769 [details]
xorg.conf

(In reply to comment #16)

> Now I have GDM, but unfortunately there are some awful graphical glitches [2].
> If I open the Gnome session, then I get the same kind of awful graphical
> glitches. [3]

Does using this xorg.conf workaround the graphical glitches?
Comment 37 frank huang 2010-08-29 23:09:28 EDT
(In reply to comment #35)
> (In reply to comment #32)
> > I boot from CD. You can see my attached file.
> > And I choose "Boot" option. Then after long time wait, I get a screen that
> > show:"i8042.c can't read CTR while initializing i8042" and stopped. Have you
> > met this? I google it and found it seems related to USB stuff. Not sure, need
> > your confirmation.
> 
> I have an error message similar to this one when I boot the live USB, but it
> disappears quickly and boot goes on.
> 
> I'll check tonight if that's the same message.
I have seen your reply on IRC.
I am still getting this issue whatever I use an USB CDROM or IDE CDROM. This screen always here and can not go on. I have to try an Fedora-13-i386-DVD.iso to see if that can be installed.
If you have idea how can I bypass this issue, please inform me.
> 
> (In reply to comment #34)
> > Furthermore, just these two commands making this CD? How do I know it is Fedora
> > 13 or Fedora 14 Live CD?
> 
> The Fedora release is specified in the repo declaration in the kickstart files,
> for example:
> repo --name=released
> --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=i386
> 
> So if you use the same kickstart as I do, then you created a Fedora 13 image.
Got it. absolutely same as your ks file. The difference is that my machine is an i386 OS, So I don't need your x86_64->i386 transfer. And I comment the customization of your ks file to get more package installed.
Comment 38 frank huang 2010-08-30 04:27:17 EDT
Fedora-13-i386-DVD.iso and Fedora-13-i686-Live.iso can not be used, I have tried.
So I have to use the way as yours live CD. But still can not pass the 8042 error. Any new findings?
Comment 39 Mathieu Bridon 2010-08-30 16:11:10 EDT
(In reply to comment #36)
> Created attachment 441769 [details]
> xorg.conf
> 
> (In reply to comment #16)
> 
> > Now I have GDM, but unfortunately there are some awful graphical glitches [2].
> > If I open the Gnome session, then I get the same kind of awful graphical
> > glitches. [3]
> 
> Does using this xorg.conf workaround the graphical glitches?

Yes, everything is perfect with it!


(In reply to comment #38)
> Fedora-13-i386-DVD.iso and Fedora-13-i686-Live.iso can not be used, I have
> tried.
> So I have to use the way as yours live CD. But still can not pass the 8042
> error. Any new findings?

Today when booting my live USB (same as always), I also got stuck on this error message, instead of getting the graphical boot.

Then I entered CTRL+ALT+F2, and got a text TTY. The boot had actually went on fine, in the background. :)
Comment 40 frank huang 2010-08-31 05:18:03 EDT
Which line work for you in xorg.conf(billiboy provided)? No glitches again? Can you check carefully to find the reason? Is it following lines working for you:
	Option     "NoCompression" "true"
        Option     "MigrationHeuristic" "greedy"
????

Yes. I switch to TTY using CTRL+ALT+Fx, then I can switch to other consoles:).
Then I delete the xorg.conf(because it uses Driver amd), and type "startx". Few minutes later, the graphics screen is loaded and displayed on the screen. 

But the strange thing is that when I type "uname -a" to see the kernel, it show me "Linux localhost.localdomain 2.6.32.16-150.fc12.i686...". Do you know why? BTW, I use your ks file to make this CD disk to boot, I think it should be FC13.

After that, I see the Xorg.0.log, it show me the geode driver is not used because of the ABI version mismatch and instead vesa driver is used. So I can not see the rendering issue you met. Should I built the geode rpm myself? Need your guide.

BTW, I only use an CD disk to boot in memory and no any hard disk or USB disk.
Comment 41 frank huang 2010-08-31 05:19:53 EDT
Created attachment 442141 [details]
Live CD Xorg log

Live CD Xorg log
Comment 42 Mathieu Bridon 2010-08-31 05:44:16 EDT
(In reply to comment #40)
> Which line work for you in xorg.conf(billiboy provided)? No glitches again?

I used the whole xorg.conf billiboy provided, no more graphic glitches.

> Can
> you check carefully to find the reason? Is it following lines working for you:
>  Option     "NoCompression" "true"
>         Option     "MigrationHeuristic" "greedy"
> ????

Sure, I'll try to have a look at that tonight.
> Yes. I switch to TTY using CTRL+ALT+Fx, then I can switch to other consoles:).
> Then I delete the xorg.conf(because it uses Driver amd)

Just for the record, the xorg.conf specifies the "amd" driver but that should still lead to using the "geode" one, as the Fedora xorg-x11-drv-geode package creates a symlink for compatibility (and if you lok at the Xorg.0.log I provided at the beginning of this bug report, you will see that the geode driver was indeed used).

I think the black screen comes from something else in the default xorg.conf (maybe the monitor definition?)

> But the strange thing is that when I type "uname -a" to see the kernel, it show
> me "Linux localhost.localdomain 2.6.32.16-150.fc12.i686...". Do you know why?
> BTW, I use your ks file to make this CD disk to boot, I think it should be
> FC13.

You created the live image on a Fedora 12 box right?

Look at the kickstart files in /usr/share/spin-kickstarts/ (especially fedora-live-base.ks) and you will see that they use "fedora-12" as the release tag, so they point to the Fedora 12 repositories.

Congratulations, you created a Fedora 12 live CD :)

Use the kickstart I posted, it will point you to the Fedora 13 repositories as I overwrite the repos definitions.

> After that, I see the Xorg.0.log, it show me the geode driver is not used
> because of the ABI version mismatch and instead vesa driver is used. So I can
> not see the rendering issue you met. Should I built the geode rpm myself? Need
> your guide.

That certainly comes from the fact that you are using a Fedora 12 kernel/Xorg, while I built the Geode driver against the Fedora 13 ones (hence the ABI version mismatch).

Just rebuild a Fedora 13 image (the kickstart I posted will point you to the correct repositories), and this time the Geode driver I built should work.
Comment 43 billiboy 2010-08-31 11:03:59 EDT
(In reply to comment #42)

> I think the black screen comes from something else in the default xorg.conf
> (maybe the monitor definition?)

The default xorg.conf forces the resolution to 1200x900 and your panel is
not capable to use it. Hence the black screen.
The default xorg.conf was a bad hack for testing a special case and not
removed since recently.
The "Option MigrationHeuristic greedy" is likely the workaround for the
graphical glitches.
Comment 44 frank huang 2010-08-31 21:10:07 EDT
Absolutely I use FC12 on my workstation. So you are right
When I create my image, I comment two lines in your fedora-live-geode.ks file below:
repo --name=released --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=i386
repo --name=updates --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f13&arch=i386
So it will use related lines in /usr/share/spin-kickstarts/fedora-live-base.ks to create a FC12 image I think. 
Now I try to make an new Live CD applying your ks file. New update, I'll post here.
Comment 45 frank huang 2010-09-01 03:06:53 EDT
Mathieu,
  Please see 540441 issue update, I have successfuly built an FC13 image and reproduce the issue you reported in the picture:
> [2] http://bochecha.fedorapeople.org/geode/screenshots/IMG_8524.JPG
> [3] http://bochecha.fedorapeople.org/geode/screenshots/IMG_8525.JPG
  After using billiboy's xorg.conf, it definitely solved the rendering bug, but unfortunely, it does not use HW rendering(pixman does that I guess). I think there must be some misrendering bug in under FC13.
  So right now I need you guys help to let me build my FC13 debug environment to debug the rendering issue. I want to implement the OS on my hard disk with the LiveCD. How can I do that?

Thanks,
Frank
Comment 46 frank huang 2010-09-01 04:10:24 EDT
I use /usr/bin/liveinst to install that on HD(or USB disk). But it fails. Can you give a
try with your FC13 LiveCD?
Comment 47 frank huang 2010-09-01 04:14:32 EDT
I noticed that you are an ambassador from your website on Fedora:P
Comment 48 frank huang 2010-09-01 04:17:17 EDT
By the way, I have created one LiveUSB as your method. But what I need is an installtion one!
Comment 49 Mathieu Bridon 2010-09-01 05:13:49 EDT
(In reply to comment #48)
> By the way, I have created one LiveUSB as your method. But what I need is an
> installation one!

AFAIK live CDs/USBs are installable as long as they include liveinst and anaconda.

What's the failure you get when trying to install?

I'll try tonight.
Comment 50 frank huang 2010-09-01 05:42:11 EDT
Yeah. I search quite a bit solved method. Have not find one solution yet.
You can see http://bugzilla.redhat.com/show_bug.cgi?id=626780
Same issue.
Comment 51 billiboy 2010-09-01 08:12:08 EDT
(In reply to comment #48)

> By the way, I have created one LiveUSB as your method. But what I need is an
> installtion one!

If you have created it with the "--overlay-size-mb" option it is 
as good as an installed version.

A quote from the USBHowTo:
Data persistence means that your files and settings will remain even
after you reboot your live system. You can perform updates just like
a regular installation to your hard disk except for kernel updates
which are not supported.
Comment 52 frank huang 2010-09-01 23:48:42 EDT
(In reply to comment #51)
> (In reply to comment #48)
> 
> > By the way, I have created one LiveUSB as your method. But what I need is an
> > installtion one!
> 
> If you have created it with the "--overlay-size-mb" option it is 
> as good as an installed version.
I want to make my point more clear. I have successfully create an LiveUSB on a USB stick. But you know its mechanism is also extract the image into memory to run. It is not a fully installtion to USB stick. What I need is an installtion one using /usr/bin/liveinst. After that real installtion, I can install other library and tools for my debug.
By the way, It is better to install Fedora on my Hard Disk, not USB stick. Because that disk space is bigger.
> 
> A quote from the USBHowTo:
> Data persistence means that your files and settings will remain even
> after you reboot your live system. You can perform updates just like
> a regular installation to your hard disk except for kernel updates
> which are not supported.
Comment 53 frank huang 2010-09-01 23:51:10 EDT
What's your FC14 Live CD ks file?
Can you share it with me? I can try if that can be installed on Hard Disk. Because I check from 626780 and get that the failed installtion is caused by anaconda on FC13. And FC14 has fix it.
Comment 54 billiboy 2010-09-02 02:01:05 EDT
(In reply to comment #52)

> one using /usr/bin/liveinst. After that real installtion, I can install other
> library and tools for my debug.

For that you do not need the installation, you can do it also with the live
system.
If you need e.g. the c-compiler, with an ethernet connection and internet access
you execute "yum install gcc" and it will be installed.
It is exactly the same as in an installed version. I did the rebuild of the
xorg-x11-drv-geode rpm this way and all my tests in the different Versions
(FC12/FC14-Alpha/FC14-nightly-composes). It is quite handy to switch between
the versions.

(In reply to comment #53)

> What's your FC14 Live CD ks file?

I do not create my own images, I download the ready made ones
from here: http://alt.fedoraproject.org/pub/alt/nightly-composes/
as FC14 is not released and is in development.
Comment 55 billiboy 2010-09-02 02:42:01 EDT
BTW, for the geode system I use the kde-i386-2010xxxx.xx.iso images.
Comment 56 frank huang 2010-09-02 02:49:13 EDT
(In reply to comment #54)
> (In reply to comment #52)
> 
> > one using /usr/bin/liveinst. After that real installtion, I can install other
> > library and tools for my debug.
> 
> For that you do not need the installation, you can do it also with the live
> system.
> If you need e.g. the c-compiler, with an ethernet connection and internet
> access
> you execute "yum install gcc" and it will be installed.
> It is exactly the same as in an installed version. I did the rebuild of the
> xorg-x11-drv-geode rpm this way and all my tests in the different Versions
> (FC12/FC14-Alpha/FC14-nightly-composes). It is quite handy to switch between
> the versions.
But the update is missing with your next boot. Do you have seperate disk partition on your USB stick? What's your method to keep the information you have done?
You know my most work is on hard disk already.:P. So it is easy for me to use HD to restore my debug env. BTW, can you join #geode IRC channel? We can talk there.
> 
> (In reply to comment #53)
> 
> > What's your FC14 Live CD ks file?
> 
> I do not create my own images, I download the ready made ones
> from here: http://alt.fedoraproject.org/pub/alt/nightly-composes/
> as FC14 is not released and is in development.
Comment 57 frank huang 2010-09-02 03:19:03 EDT
(In reply to comment #51)
> (In reply to comment #48)
> 
> > By the way, I have created one LiveUSB as your method. But what I need is an
> > installtion one!
> 
> If you have created it with the "--overlay-size-mb" option it is 
> as good as an installed version.
I have use this option after reading "How to create and use Live USB" article and see if that is always updated one. I am thinking the mechanism:P for this tech.
> 
> A quote from the USBHowTo:
> Data persistence means that your files and settings will remain even
> after you reboot your live system. You can perform updates just like
> a regular installation to your hard disk except for kernel updates
> which are not supported.
Comment 58 frank huang 2010-09-02 03:42:55 EDT
Great with USB stick data persistence when applying "--overlay-size-mb 512". Another question: Why the graphicis mode is entered automaticly? Is it possible I firstly enter the command line mode, then "startx"? I remember you have used init 3-> init 5? Same way?


Thanks,
Frank
Comment 59 frank huang 2010-09-02 05:45:52 EDT
> you execute "yum install gcc" and it will be installed.
Can you share your yum.conf under /etc and fedora.repo under the directory /etc/yum.repos.d/?
My yum fail to update with the error "Errno 14 PYCURL ERROR 6"
Comment 60 billiboy 2010-09-02 06:12:07 EDT
(In reply to comment #56)

> But the update is missing with your next boot. Do you have seperate disk
> partition on your USB stick? What's your method to keep the information you
> have done?

For that there is the persistent overlay, to keep the changes and let them
survive the reeboot. But this is only possible if you use an USB-stick
since a CD-ROM is read only.
It is even possible to put the content from the USB-stick to the HD and
use it from there. The setup for this has to be done by hand as it depents
on the HD layout and no prepared  setup script, to do it, is available.
It is mainly to prepare the grub stanza for booting and copy vmlinuz0,
initrd0.img, osmin.img and squashfs.img to some location on the HD.

(In reply to comment #58)

> Another question: Why the graphicis mode is entered automaticly? Is it possible

That is because it is setup this way in /etc/initab

You can change it temporary by pressing [TAB] in th boot screen of
the attachment from comment #33 and  apending "3" to the kernel
parameters.

Since you are now using the persistent overlay you can even make this
change survive rebooting  by changing this line:
--
id:5:initdefault:
--
in /etc/initab to this line:
--
id:3:initdefault:
--
Comment 61 billiboy 2010-09-02 07:09:19 EDT
(In reply to comment #59)

>> you execute "yum install gcc" and it will be installed.
> Can you share your yum.conf under /etc and fedora.repo under the directory
> /etc/yum.repos.d/?
> My yum fail to update with the error "Errno 14 PYCURL ERROR 6"

Because I use ready made spins, from the locations I allready provided, I use
what Fedora provides.
You made your own spin with customised kickstart, but I think you have not
modified anything regarding yum, so I think you are using the default ones
for FC13 but something other went wrong.

The situation for geode system and Fedora is at the moment a little bit tricky.

- FC12 with geode support out of the box = available
- FC13 with geode support out of the box = is a no go, only with rebuilding
- FC14 with geode support out of the box = will be available,
                                           but buggy system since in development.
So maybe Mathieu can help you with the rebuilding of a working FC13 or can
provide you with a known good image as this is beyond my knowledge.
Comment 62 billiboy 2010-09-02 07:39:54 EDT
(In reply to comment #59)

> My yum fail to update with the error "Errno 14 PYCURL ERROR 6"

Google told me that this error is emitted when the online repositories could
not be accessed.
You have assured that internet access is available when the live system is
loaded?
Comment 63 Mathieu Bridon 2010-09-02 07:47:03 EDT
(In reply to comment #61)
> (In reply to comment #59)
> 
> >> you execute "yum install gcc" and it will be installed.
> > Can you share your yum.conf under /etc and fedora.repo under the directory
> > /etc/yum.repos.d/?
> > My yum fail to update with the error "Errno 14 PYCURL ERROR 6"
> 
> Because I use ready made spins, from the locations I allready provided, I use
> what Fedora provides.
> You made your own spin with customised kickstart, but I think you have not
> modified anything regarding yum, so I think you are using the default ones
> for FC13 but something other went wrong.

Exactly. The kickstart I provided doesn't touch anything related to yum, so unless you modified it yourself then you have everything as provided by Fedora.

This means that the error you get is not related to your yum.conf (once again, unless you modified it yourself, in which case you could simply revert your changes).

Are you sure you are properly connected so that yum can download repositories informations and packages?

> The situation for geode system and Fedora is at the moment a little bit tricky.
> 
> - FC12 with geode support out of the box = available
> - FC13 with geode support out of the box = is a no go, only with rebuilding
> - FC14 with geode support out of the box = will be available,
>                                            but buggy system since in
> development.
> So maybe Mathieu can help you with the rebuilding of a working FC13 or can
> provide you with a known good image as this is beyond my knowledge.

The image I built with this very same kickstart worked fine in my tests (except for the issues I specifically reported in this bug: black screen with default xorg.conf and misrendering with Geode driver).

I'll see if I can try again, and eventually upload a good image somewhere so you can download it instead of rebuilding it.
Comment 64 frank huang 2010-09-02 22:03:20 EDT
(In reply to comment #60)
> (In reply to comment #56)
> 
> > But the update is missing with your next boot. Do you have seperate disk
> > partition on your USB stick? What's your method to keep the information you
> > have done?
> 
> For that there is the persistent overlay, to keep the changes and let them
> survive the reeboot. But this is only possible if you use an USB-stick
> since a CD-ROM is read only.
> It is even possible to put the content from the USB-stick to the HD and
> use it from there. The setup for this has to be done by hand as it depents
> on the HD layout and no prepared  setup script, to do it, is available.
> It is mainly to prepare the grub stanza for booting and copy vmlinuz0,
> initrd0.img, osmin.img and squashfs.img to some location on the HD.
Any document to describe this process? I does want to keep it in HD. Because USB stick is quite slow...
> 
> (In reply to comment #58)
> 
> > Another question: Why the graphicis mode is entered automaticly? Is it possible
> 
> That is because it is setup this way in /etc/initab
> 
> You can change it temporary by pressing [TAB] in th boot screen of
> the attachment from comment #33 and  apending "3" to the kernel
> parameters.
> 
> Since you are now using the persistent overlay you can even make this
> change survive rebooting  by changing this line:
> --
> id:5:initdefault:
> --
> in /etc/initab to this line:
> --
> id:3:initdefault:
> --
Got it. Have changed it into command console mode after boot.
Comment 65 frank huang 2010-09-02 22:12:15 EDT
(In reply to comment #62)
> (In reply to comment #59)
> 
> > My yum fail to update with the error "Errno 14 PYCURL ERROR 6"
> 
> Google told me that this error is emitted when the online repositories could
> not be accessed.
> You have assured that internet access is available when the live system is
> loaded?

Solve it. Because AMD internal must use a proxy server to connect to the outside weblink. And for the tool yum, we must set the http_proxy variable firstly. Then yum tool can be used. I am now enjoying it:)
Comment 66 frank huang 2010-09-02 22:17:14 EDT
Mathieu and billiboy,
   I am grad that now I have sucessfuly create an USB stick and use yum to upgrade and install the package what I want. Thanks you guys.
   For the next step, I want to move the OS to hard disk if that is possible. Because it is quite slow :(. It put me in low efficiency with the debug of rendering.
   A document to describe that?

Thanks,
Frank
Comment 67 billiboy 2010-09-03 02:32:39 EDT
(In reply to comment #66)

> Because it is quite slow :(. It put me in low efficiency with the debug of
> rendering.

A good way to gain better performance is to use the USB-stick at an other
workstation with a more performant processor. You can do all the things
like installing packages and creating rpms.

>   A document to describe that?

I do not know if that exist. But this is what I am doing:

I have a directory structure like this on my storage device.

|-- os
|   |-- centos
|   |   `-- CentOS-5.5-i386
|   |       |-- images
|   |       `-- packages
|   |-- fedora
|   |   |-- F12
|   |   |   |-- images
|   |   |   `-- packages
|   |   |-- F13
|   |   |   |-- images
|   |   |   `-- packages
|   |   |-- F14
|   |   |   |-- images
|   |   |   `-- packages
|   |   |-- Fedora-12-i686-Live-KDE
|   |   |-- Fedora-13-i686-Live-KDE
|   |   |-- Fedora-14-Alpha-i686-Live-KDE
|   |   |-- Fedora-14-i686-Live-KDE -> kde-i386-20100826.15
|   |   |-- Fedora-8-Live-KDE-german-i686-U1
|   |   |-- kde-i386-20100805.20
|   |   `-- kde-i386-20100826.15

For Fedora-12-i686-Live-KDE I have done this:

cp <mountpoint-livecd>/isolinux/initrd0.img /os/fedora/Fedora-12-i686-Live-KDE/
cp <mountpoint-livecd>/isolinux/vmlinuz0 /os/fedora/Fedora-12-i686-Live-KDE/
cp <mountpoint-livecd>/LiveOS/osmin.img /os/fedora/Fedora-12-i686-Live-KDE/
cp <mountpoint-livecd>/LiveOS/squashfs.img /os/fedora/Fedora-12-i686-Live-KDE/

Insert grub stanza in /boot/grub/grub.conf:

title Fedora-12-i686-Live-KDE
  root (hd0,1)
  kernel /os/fedora/Fedora-12-i686-Live-KDE/vmlinuz0 rw root=live:LABEL=stick-001-2 rd_NO_LVM rd_NO_LVMCONF rd_NO_LUKS rd_NO_MD noiswmd live_dir=/os/fedora/Fedora-12-i686-Live-KDE liveimg lxfb.mode_option=1280x1024
  initrd /os/fedora/Fedora-12-i686-Live-KDE/initrd0.img

You need to modify the root(hdx,x) and the partition label (stick-001-2)
according your setup. For the partition label use "blkid" to check.
You have also to create the persistent overlay file in 
/os/fedora/Fedora-12-i686-Live-KDE/ as done by the livecd-iso-to-disk
script since I do not use it.
Comment 68 frank huang 2010-09-03 02:52:31 EDT
(In reply to comment #67)
> (In reply to comment #66)
> 
> > Because it is quite slow :(. It put me in low efficiency with the debug of
> > rendering.
> 
> A good way to gain better performance is to use the USB-stick at an other
> workstation with a more performant processor. You can do all the things
> like installing packages and creating rpms.
Ok. I know what you mean. Don't use grahpics mode and just in console command uisng another workstation to do the updates:).Good point. I'll try it
> 
> >   A document to describe that?
> 
> I do not know if that exist. But this is what I am doing:
> 
> I have a directory structure like this on my storage device.
> 
> |-- os
> |   |-- centos
> |   |   `-- CentOS-5.5-i386
> |   |       |-- images
> |   |       `-- packages
> |   |-- fedora
> |   |   |-- F12
> |   |   |   |-- images
> |   |   |   `-- packages
> |   |   |-- F13
> |   |   |   |-- images
> |   |   |   `-- packages
> |   |   |-- F14
> |   |   |   |-- images
> |   |   |   `-- packages
> |   |   |-- Fedora-12-i686-Live-KDE
> |   |   |-- Fedora-13-i686-Live-KDE
> |   |   |-- Fedora-14-Alpha-i686-Live-KDE
> |   |   |-- Fedora-14-i686-Live-KDE -> kde-i386-20100826.15
> |   |   |-- Fedora-8-Live-KDE-german-i686-U1
> |   |   |-- kde-i386-20100805.20
> |   |   `-- kde-i386-20100826.15
> 
> For Fedora-12-i686-Live-KDE I have done this:
> 
> cp <mountpoint-livecd>/isolinux/initrd0.img /os/fedora/Fedora-12-i686-Live-KDE/
> cp <mountpoint-livecd>/isolinux/vmlinuz0 /os/fedora/Fedora-12-i686-Live-KDE/
> cp <mountpoint-livecd>/LiveOS/osmin.img /os/fedora/Fedora-12-i686-Live-KDE/
> cp <mountpoint-livecd>/LiveOS/squashfs.img /os/fedora/Fedora-12-i686-Live-KDE/
> 
> Insert grub stanza in /boot/grub/grub.conf:
> 
> title Fedora-12-i686-Live-KDE
>   root (hd0,1)
>   kernel /os/fedora/Fedora-12-i686-Live-KDE/vmlinuz0 rw
> root=live:LABEL=stick-001-2 rd_NO_LVM rd_NO_LVMCONF rd_NO_LUKS rd_NO_MD noiswmd
> live_dir=/os/fedora/Fedora-12-i686-Live-KDE liveimg lxfb.mode_option=1280x1024
>   initrd /os/fedora/Fedora-12-i686-Live-KDE/initrd0.img
> 
> You need to modify the root(hdx,x) and the partition label (stick-001-2)
> according your setup. For the partition label use "blkid" to check.
> You have also to create the persistent overlay file in 
> /os/fedora/Fedora-12-i686-Live-KDE/ as done by the livecd-iso-to-disk
> script since I do not use it.
I am now using yum to install the package that is used to debug the driver. If that is quite slow, I'll use the way you described here. Anyway, Thanks!billiboy!
Comment 69 billiboy 2010-09-03 04:24:51 EDT
(In reply to comment #68)

> Ok. I know what you mean. Don't use grahpics mode and just in console command
> uisng another workstation to do the updates:).Good point. I'll try it

If the xorg.conf is removed you can even use graphics mode, if you like, and
do all other work. The required driver will then be autodetected. You need only
to switch to the geode system if the hardware is required for testing.

That is the reason to go without the xorg.conf in the first place.
If you change systems no manual configuration is needed, all is autodetected
at runtime.
Comment 70 frank huang 2010-09-03 04:35:28 EDT
(In reply to comment #69)
> (In reply to comment #68)
> 
> > Ok. I know what you mean. Don't use grahpics mode and just in console command
> > uisng another workstation to do the updates:).Good point. I'll try it
> 
> If the xorg.conf is removed you can even use graphics mode, if you like, and
> do all other work. The required driver will then be autodetected. You need only
> to switch to the geode system if the hardware is required for testing.
> 
> That is the reason to go without the xorg.conf in the first place.
> If you change systems no manual configuration is needed, all is autodetected
> at runtime.
Got the idea! Now I am buildint the environment! Looking forward to the debug status working. Then I think I can contribute on the rendering bug.
Comment 71 frank huang 2010-09-06 04:51:13 EDT
A question to ask:
   Have you noticed that when you copy soft link file(ls -n), the system will crash??? I think because it is FAT file system that can not be used with soft link file. How do solve this?
Comment 72 Mathieu Bridon 2010-09-06 05:03:19 EDT
(In reply to comment #71)
> A question to ask:
>    Have you noticed that when you copy soft link file(ls -n), the system will
> crash??? I think because it is FAT file system that can not be used with soft
> link file. How do solve this?

No idea.

You'll probably have more luck asking in #fedora or #fedora-devel on Freenode, though ;)
Comment 73 billiboy 2010-09-06 13:37:31 EDT
(In reply to comment #71)

> crash??? I think because it is FAT file system that can not be used with soft
> link file. How do solve this?

The live root file system is ext3 with a rw overlay.
The live file system is loop mounted from a file (squashfs.img).
So the host file system does not matter for the live system.

If you want to use the host file system as transport media, put your
files in a TAR archive.
Comment 74 frank huang 2010-09-06 20:57:12 EDT
(In reply to comment #73)
> (In reply to comment #71)
> 
> > crash??? I think because it is FAT file system that can not be used with soft
> > link file. How do solve this?
> 
> The live root file system is ext3 with a rw overlay.
> The live file system is loop mounted from a file (squashfs.img).
> So the host file system does not matter for the live system.
> 
> If you want to use the host file system as transport media, put your
> files in a TAR archive.

The details of my issue is that, after I create the LiveUSB , then copy Xserver source files to the USB stick. When copying files from my workstation hard disk to USB stick, the soft link files can not be copied. It reports "No permission to do that"
Another issue is more severe, when I extract a big tar file(300MB) using the LiveUSB boot, the system will crash and give the error "sleep forever" or "Input/Output Error". I think that is quite unstable for me to work with that. Because I have so many files to copy to and from.
Now I want to know which ISO do you use to create LiveCD and LiveUSB? I want to use your ISO file and give a try. It is better the OS can be installed on hard disk. I still stick to this point. FC13 please.
Comment 75 frank huang 2010-09-06 23:28:33 EDT
It is possble that the overlay size is only 512MB. When I copy files greater than this size, the OS will crash I think. Now I am trying to format it to ext2/ext3, then enlarge the overlay size to 4G. Then give a try.
Comment 76 billiboy 2010-09-07 01:48:00 EDT
(In reply to comment #74)

> The details of my issue is that, after I create the LiveUSB , then copy Xserver
> source files to the USB stick. When copying files from my workstation hard disk

You do not need to copy all the sources into the live file system. If you have
a HD on your geode system, create a mount point like /mnt/workspace and mount
the partition there. You can build your debug environment there. Only the files
for the running system need to be in the live file system.
The additional benefit is, you have the data available if you change between 
different live images.

(In reply to comment #75)

> It is possble that the overlay size is only 512MB. When I copy files greater
> than this size, the OS will crash I think. Now I am trying to format it to

Exactly. All your modifications to the live system have to be fit in there.
Comment 77 Mathieu Bridon 2010-09-07 08:36:12 EDT
@Franck, regarding the error you get when trying to install your live USB on your hard-drive, you're probably hit by this bug:
  https://bugzilla.redhat.com/show_bug.cgi?id=628235

There's a workaround apparently: exclude NM, dbus-glib and udev from the updates repository (and thus take them from the original fedora repository).

In the kickstart you are using to build the live image, try declaring the updates repository with the following:
repo -name=updates -mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f13&arch=$basearch –excludepkgs=NetworkManager*,udev,dbus-glib

Put this line instead of the one you have now.
Comment 78 frank huang 2010-09-08 02:17:21 EDT
(In reply to comment #77)
> @Franck, regarding the error you get when trying to install your live USB on
> your hard-drive, you're probably hit by this bug:
>   https://bugzilla.redhat.com/show_bug.cgi?id=628235
> 
> There's a workaround apparently: exclude NM, dbus-glib and udev from the
> updates repository (and thus take them from the original fedora repository).
> 
> In the kickstart you are using to build the live image, try declaring the
> updates repository with the following:
> repo -name=updates
> -mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f13&arch=$basearch
> –excludepkgs=NetworkManager*,udev,dbus-glib
> 
> Put this line instead of the one you have now.

I can give a try. Are you sure this option with ks file?
I replace previous one with the one below:
repo --name=updates --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f13&arch=basearch --excludepkgs=NetworkManager*,udev,dbus-glib
???
It will cost a lot of time to create LiveCD. I just want make sure about this.
BTW, with the help from billiboy, I use an 8GB usb stick to create one LiveUSB. With two partitions, one is FAT(3G, with 512 persistent size); the other is ext2(4.7G, put my Xserver source files). Now I am trying this way to build my env.
Comment 79 billiboy 2010-09-08 02:41:11 EDT
(In reply to comment #78)

> BTW, with the help from billiboy, I use an 8GB usb stick to create one LiveUSB.
> With two partitions, one is FAT(3G, with 512 persistent size); the other is
> ext2(4.7G, put my Xserver source files). Now I am trying this way to build my
> env.

BTW , you need not to put two different partitions on the USB stick.
If you make one ext2 or ext3 partition the live image can be installed there.
A FAT file system is not needed for the live system.
Comment 80 frank huang 2010-09-08 02:54:34 EDT
I have tried create one 8GB ext file system with my USB stick. After I use mkfs.ext2 to create such an /dev/sdc1 partition, I insert it to my workstation, then use livecd-iso-to-disk to create, it fail to boot. Have you tried?
Comment 81 billiboy 2010-09-08 03:26:50 EDT
(In reply to comment #80)

> I have tried create one 8GB ext file system with my USB stick. After I use
> mkfs.ext2 to create such an /dev/sdc1 partition, I insert it to my workstation,
> then use livecd-iso-to-disk to create, it fail to boot. Have you tried?

Maybe you have an invalid MBR, try the parameter "--reset-mbr" with the
livecd-iso-to-disk script. Do not use the "-- format" parameter as it will
create a FAT layout.
See http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo section
"Run livecd-iso-to-disk script" for reference.
Comment 82 frank huang 2010-09-09 03:00:13 EDT
(In reply to comment #81)
> (In reply to comment #80)
> 
> > I have tried create one 8GB ext file system with my USB stick. After I use
> > mkfs.ext2 to create such an /dev/sdc1 partition, I insert it to my workstation,
> > then use livecd-iso-to-disk to create, it fail to boot. Have you tried?
> 
> Maybe you have an invalid MBR, try the parameter "--reset-mbr" with the
> livecd-iso-to-disk script. Do not use the "-- format" parameter as it will
> create a FAT layout.
> See http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo section
> "Run livecd-iso-to-disk script" for reference.

I have known the option "--reset-mbr" and "--format" use. It is not caused by MBR broken. The good news is that right now I can build the geode driver on my USB stick after I install some tools and packages(especailly "yum-builddep xorg-x11-drv-geode"). And from the simple debug method, I got the bug in FC13 is not caused by rendering. You can try "ExaNoComposite" in xorg.conf. Still this problem is appearing with no HW rendering. So I need more investigation on this.
Comment 83 frank huang 2010-09-15 03:00:33 EDT
Update:
    Sorry for few days wait.
    I built Xserver 1.9(the lastest) and use "X -configure" to generate a xorg.conf. Now everything is ok without the option MigrationHeuristic. 

billiboy and Mathieu,
    Can you guys use lastest X server and give a try?

Tow possible reasons for this issue: From Xserver code or Geode driver code.

Thanks,
Frank
Comment 84 Matěj Cepl 2010-09-15 04:58:47 EDT
Reporter, do you agree with the comment 83? Was this fixed in the latest xorg* packages?

Thank you for helping us in this effort.
Comment 85 billiboy 2010-09-15 06:17:26 EDT
(In reply to comment #83)

> Can you guys use lastest X server and give a try?

I do not use FC13 for the geode system, so I can not confirm this.
I only chimed in by your request of bug 54044#c30 to assist in
setting up your debug environment.
Comment 86 billiboy 2010-09-15 06:22:40 EDT
Oops, this is the right bug 540441#c30.
Comment 87 Mathieu Bridon 2010-09-15 18:36:45 EDT
(In reply to comment #83)
> Update:
>     Sorry for few days wait.
>     I built Xserver 1.9(the lastest) and use "X -configure" to generate a
> xorg.conf. Now everything is ok without the option MigrationHeuristic. 
> 
> billiboy and Mathieu,
>     Can you guys use lastest X server and give a try?

(In reply to comment #84)
> Reporter, do you agree with the comment 83? Was this fixed in the latest xorg*
> packages?

I see F14 has Xorg 1.9, so I'll build a F14 live USB and try it, yes.

This will have to wait a little though, at least until I'm back from FUDCon.
Comment 88 frank huang 2010-09-15 21:28:20 EDT
(In reply to comment #87)
> (In reply to comment #83)
> > Update:
> >     Sorry for few days wait.
> >     I built Xserver 1.9(the lastest) and use "X -configure" to generate a
> > xorg.conf. Now everything is ok without the option MigrationHeuristic. 
> > 
> > billiboy and Mathieu,
> >     Can you guys use lastest X server and give a try?
> 
> (In reply to comment #84)
> > Reporter, do you agree with the comment 83? Was this fixed in the latest xorg*
> > packages?
> 
> I see F14 has Xorg 1.9, so I'll build a F14 live USB and try it, yes.
> 
> This will have to wait a little though, at least until I'm back from FUDCon.

Great. Any new update, please tell me.
Comment 89 frank huang 2010-09-15 21:30:00 EDT
(In reply to comment #85)
> (In reply to comment #83)
> 
> > Can you guys use lastest X server and give a try?
> 
> I do not use FC13 for the geode system, so I can not confirm this.
> I only chimed in by your request of bug 54044#c30 to assist in
> setting up your debug environment.

Setting up a debug environment need quite a lot time to do so. Right now I have setup on my USB stick. From what I guess, it is the same phenomena as FC14 if you use Xserver 1.9. So please give a try on FC14 with Xserver 1.9 and see what you get.
Comment 90 Mathieu Bridon 2010-10-24 13:06:19 EDT
(In reply to comment #88)
> (In reply to comment #87)
> > (In reply to comment #83)
> > > Update:
> > >     Sorry for few days wait.
> > >     I built Xserver 1.9(the lastest) and use "X -configure" to generate a
> > > xorg.conf. Now everything is ok without the option MigrationHeuristic. 
> > > 
> > > billiboy and Mathieu,
> > >     Can you guys use lastest X server and give a try?
> > 
> > (In reply to comment #84)
> > > Reporter, do you agree with the comment 83? Was this fixed in the latest xorg*
> > > packages?
> > 
> > I see F14 has Xorg 1.9, so I'll build a F14 live USB and try it, yes.
> > 
> > This will have to wait a little though, at least until I'm back from FUDCon.
> 
> Great. Any new update, please tell me.

So, it took more time than I thought, but I can confirm that with F14 RC1 (and thus Xorg 1.9) I do not have the graphical glitches anymore.

Now I'll have to figure out why the vesa driver is used instead of the geode one, but that's probably another issue, so this one can be closed.

Thanks Frank!
Comment 91 frank huang 2010-10-24 21:19:05 EDT
Mathieu,

    You are welcome!
    I close this issue now. Any new issue found, please reopen it.

Frank

Note You need to log in before you can comment on or make changes to this bug.